% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gd_user.R
\name{gd_user}
\alias{gd_user}
\alias{gs_user}
\title{Retrieve information about the current Google user}
\usage{
gd_user(verbose = TRUE)

gs_user(verbose = TRUE)
}
\arguments{
\item{verbose}{logical; do you want informative messages?}
}
\value{
a list containing user and session info
}
\description{
Display information about the Google user that has authorized
\code{\link{googlesheets}} to call the Drive and Sheets APIs on their behalf.
Returns and prints the user's display name, email, the date-time of info
lookup, and the validity of the current access token. This is a subset of the
information available from
\href{https://developers.google.com/drive/v2/reference/about/get}{the "about"
endpoint} of the Drive API.
}
\examples{
\dontrun{
gs_user()
}

}

